Transactions

Methods

GET

Retrieve Single Transaction

/backend/api/v1/transactions/ID - fetch transaction with specified ID.

List Transactions

/backend/api/v1/transactions/ - list all transactions.

/backend/api/v1/customers/ID/transactions/ - list raised transactions belonging to customer with specified ID.

/backend/api/v1/features/ID/transactions/ - list raised transactions belonging to feature with specified ID.

/backend/api/v1/invoices/ID/transactions/ - list raised transactions on the inovice with specified ID.

By default only transactions on raised invoices are shown.

Additional Query Parameters
Parameter Type Required Description
unsent flag No Show transactions on the unsent invoice
includeUnsent flag No Show all transactions, including those on the unsent invoice
invoiceIdAfter integer No Show transactions on invoices after the specified ID

POST

/backend/api/v1/invoices/ID/transactions/ - add a new transaction to the specified invoice, the newly-added transaction will be returned. /backend/api/v1/features/ID/transactions/ - add a new transaction to the specified feature and appropriate invoice. The newly-added transaction will be returned.

PATCH

/backend/api/v1/transactions/ID - update transaction with specified ID. The modified transaction will be returned.

DELETE

/backend/api/v1/transactions/ID - delete transaction with specified ID.

Fields

Field Name Type Description
transactionType Transaction Type Preset Value The type of transaction, which will be shown on invoices if no description is given
transactionDescription Transaction Description Text A description of the transaction
transactionNotes Transaction Notes Text Additional notes about the transaction
site Site Text The site associated with this transaction
campaign Campaign Text The marketing campaign associated with this transaction
transactionCode Transaction Code Text Code for this transaction that can be included in invoice reports for accounting
featureCount Feature Count Number The number of features associated with this transaction
transactionCarrier Carrier Preset Value The carrier associated with this transaction
transactionSource Transaction Source Preset Value The source of this transaction entry
transactionRefundedID Text The ID of the transaction this transaction refunds
transactionDate Transaction Date Date The date of this transaction
transactionBillDate Transaction Bill Date Date The date when this transaction should be billed
transactionStartDate Transaction Start Date Date The start date of the period which this transaction covers
transactionEndDate Transaction End Date Date The end date of the period which this transaction covers
transactionValue Transaction Value Currency The monetary value of this transaction
transactionVATRate VAT Rate (%) Preset Value The VAT rate applied to this transaction
transactionValueCarrier Transaction Carrier Value Currency The expected cost of this transaction from the carrier
transactionValueCDR Fixed Fee File Value Currency The value of this transaction from carrier data
transactionCallCount Calls Number Number of calls included in this call transaction
transactionCallMinutes Minutes Number Total minutes (rounded to whole minutes) included in this call transaction
transactionCommissionProfile Commission Profile Preset Value The commission profile associated with this transaction
commissionHolder Commission Holder Preset Value The primary commission holder for this transaction
transactionValueCommission Transaction Commission Value Currency The commission value for the primary commission holder
transactionValueCommissionTargetContribution Transaction Commission Contribution Currency The contribution of this transaction to commission targets
transactionValueCommissionTargetContributionOneOff Transaction Commission Contribution (One Off) Currency The one-off contribution of this transaction to commission targets
transactionValueCommissionTargetContributionRecurring Transaction Commission Contribution (Recurring) Currency The recurring contribution of this transaction to commission targets
transactionValueCommissionTargetContributionCalls Transaction Commission Contribution (Calls) Currency The calls-related contribution of this transaction to commission targets
commissionHolderID2 Commission Holder 2 Preset Value The secondary commission holder for this transaction
transactionValueCommission2 Transaction Commission 2 Value Currency The commission value for the secondary commission holder
transactionValueCommissionTargetContribution2 Transaction Commission Contribution 2 Currency The contribution of this transaction to commission targets for the secondary holder
transactionValueCommissionTargetContributionOneOff2 Transaction Commission Contribution (One Off) 2 Currency The one-off contribution of this transaction to secondary commission targets
transactionValueCommissionTargetContributionRecurring2 Transaction Commission Contribution (Recurring) 2 Currency The recurring contribution of this transaction to secondary commission targets
transactionValueCommissionTargetContributionCalls2 Transaction Commission Contribution (Calls) 2 Currency The calls-related contribution of this transaction to secondary commission targets
transactionCommissionProfileCommissionType Commission Profile Type Preset Value The type of commission profile for this transaction
transactionCommissionProfileCommissionValue Commission Profile Value Number The value of the commission profile for this transaction
id Transaction ID Text The unique identifier for this transaction

Still Didn’t Find Your Answer?

For assistance, please contact us below.

Submit a ticket